Bug 1565403 - Creating buttons under the Datastore objects do not appear on Datastore Details Pages
Summary: Creating buttons under the Datastore objects do not appear on Datastore Detai...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Zita Nemeckova
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: custom_button:datastore
Keywords: ZStream
Depends On: 1491832
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 00:43 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
10 users (show)

(edit)
Clone Of: 1491832
(edit)
Last Closed: 2018-06-25 14:19:47 UTC


Attachments (Terms of Use)
single_and_list_display_58.gif (441.48 KB, image/gif)
2018-05-03 10:21 UTC, Yadnyawalk Tale
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-10 01:28:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/5099e23983363c850f58eeef016e5e2fdebb2b4c
commit 5099e23983363c850f58eeef016e5e2fdebb2b4c
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Mar 19 04:52:09 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Mar 19 04:52:09 2018 -0400

    Merge pull request #3629 from ZitaNemeckova/datastore_custom_buttons

    Fix storage_controller to show custom buttons
    (cherry picked from commit 3ccf3bd8521adb05958c404bbb4eec38ebd0ab5d)

    https://bugzilla.redhat.com/show_bug.cgi?id=1565403

 app/controllers/storage_controller.rb | 7 +-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 5 Yadnyawalk Tale 2018-05-03 10:21 UTC
Created attachment 1430589 [details]
single_and_list_display_58.gif

Fixed! Custom button is appearing on datastore object type with 'Single' as well as 'List' view display for option. 

Found new issue related to dialog submission, raised at BZ1558544.
Verifying this since found issue does not affect behavior of appearance.
Verified on - 5.8.4.2.20180424224202_be9b69f 

Thx!

Comment 7 errata-xmlrpc 2018-06-25 14:19:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.